Intereting Posts
Невозможно записать в / etc / fstab в режиме обслуживания OSX: rmdir «разрешено разрешение», но каталог удален Debian 8 (Jessie) не загружается при перезагрузке с ошибкой «Не удалось запустить службу входа», Как открыть Audio CD в проигрывателе Qmmp? Есть ли способ командной строки, с помощью которого я могу проверить, завершен ли или нет загруженный файл? Добавить предупреждение о сообщениях, полученных Postfix без TLS Как получить функцию getopts при вызове другой функции внутри файла Задание Cron не дает результата В чем разница между «перезапуском systemctl» и «systemctl start»? Как проверить использование диска в ftp? MPTCP не создает несколько подтонов Чтобы заменить% меток, но не \% в Perl Regex Как убийца OOM может убить процесс ulimit (ed)? Почему моя виртуальная машина Debian VMWare теряет все сетевые подключения через 15 минут после загрузки? Использование NVIDIA вместо Intel вызывает другую тему

yum install собирает 32-битные пакеты, но не с yum groupinstall. Зачем?

cat /etc/yum.conf [main] cachedir=/var/cache/yum/$basearch/$releasever keepcache=0 debuglevel=2 logfile=/var/log/yum.log exactarch=1 obsoletes=1 gpgcheck=1 plugins=1 installonly_limit=3 multilib_policy=all 

multilib_policy также включен, но все же он принимает только 64-битные пакеты с групповой установкой. Что мне здесь не хватает?

 # yum groupinstall -v "Development tools" Not loading "rhnplugin" plugin, as it is disabled Loading "langpacks" plugin Loading "product-id" plugin Loading "search-disabled-repos" plugin Loading "subscription-manager" plugin Adding en_US.UTF-8 to language list Updating Subscription Management repositories. Config time: 2.702 Yum version: 3.4.3 rpmdb time: 0.000 Setting up Package Sacks pkgsack time: 0.010 group time: 0.152 Skipping package flex from group development Skipping package gcc from group development Skipping package autoconf from group development Skipping package redhat-rpm-config from group development Skipping package rpm-build from group development Skipping package make from group development Skipping package pkgconfig from group development Skipping package gettext from group development Skipping package patch from group development Skipping package rpm-sign from group development Skipping package bison from group development Skipping package libtool from group development Skipping package automake from group development Skipping package gcc-c++ from group development Skipping package binutils from group development Skipping package byacc from group development Skipping package indent from group development Skipping package systemtap from group development Skipping package diffstat from group development Skipping package elfutils from group development Skipping package doxygen from group development Skipping package rcs from group development Skipping package subversion from group development Skipping package gcc-gfortran from group development Skipping package patchutils from group development Skipping package intltool from group development Skipping package ctags from group development Skipping package git from group development Skipping package cscope from group development Skipping package swig from group development Warning: Group development does not have any packages to install. Maybe run: yum groups mark install (see man yum) No packages in any requested group available to install or update 

Вышеупомянутые команды не могут быть установлены, поскольку 64-битные пакеты уже установлены. Но 32-битные пакеты не устанавливаются:

 # yum groupinfo -v "Development tools" Not loading "rhnplugin" plugin, as it is disabled Loading "langpacks" plugin Loading "product-id" plugin Loading "search-disabled-repos" plugin Loading "subscription-manager" plugin Adding en_US.UTF-8 to language list Updating Subscription Management repositories. Config time: 2.561 Yum version: 3.4.3 Setting up Package Sacks pkgsack time: 0.011 group time: 0.156 Group: Development tools Group-Id: development rpmdb time: 0.000 Description: A basic development environment. Mandatory Packages: autoconf-2.69-11.el7.noarch @anaconda/7.2 automake-1.13.4-3.el7.noarch @anaconda/7.2 binutils-2.25.1-22.base.el7.x86_64 @rhel-7-server-rpms bison-2.7-4.el7.x86_64 @anaconda/7.2 flex-2.5.37-3.el7.x86_64 @anaconda/7.2 gcc-4.8.5-11.el7.x86_64 @rhel-7-server-rpms gcc-c++-4.8.5-11.el7.x86_64 @rhel-7-server-rpms gettext-0.18.2.1-4.el7.x86_64 @anaconda/7.2 libtool-2.4.2-20.el7.x86_64 @anaconda/7.2 1:make-3.82-21.el7.x86_64 @anaconda/7.2 patch-2.7.1-8.el7.x86_64 @anaconda/7.2 1:pkgconfig-0.27.1-4.el7.i686 rhel-7-server-rpms 1:pkgconfig-0.27.1-4.el7.x86_64 @anaconda/7.2 redhat-rpm-config-9.1.0-68.el7.noarch @anaconda/7.2 rpm-build-4.11.3-17.el7.x86_64 @anaconda/7.2 rpm-sign-4.11.3-17.el7.x86_64 @anaconda/7.2 Default Packages: byacc-1.9.20130304-3.el7.x86_64 @anaconda/7.2 cscope-15.8-7.el7.x86_64 @anaconda/7.2 ctags-5.8-13.el7.x86_64 @anaconda/7.2 diffstat-1.57-4.el7.x86_64 @anaconda/7.2 1:doxygen-1.8.5-3.el7.x86_64 @anaconda/7.2 elfutils-0.166-2.el7.x86_64 @rhel-7-server-rpms gcc-gfortran-4.8.5-11.el7.x86_64 @rhel-7-server-rpms git-1.8.3.1-5.el7.x86_64 @anaconda/7.2 indent-2.2.11-13.el7.x86_64 @anaconda/7.2 intltool-0.50.2-6.el7.noarch @anaconda/7.2 patchutils-0.3.3-4.el7.x86_64 @anaconda/7.2 rcs-5.9.0-5.el7.x86_64 @anaconda/7.2 subversion-1.7.14-10.el7.x86_64 @anaconda/7.2 swig-2.0.10-4.el7.x86_64 @anaconda/7.2 systemtap-2.8-10.el7.x86_64 @anaconda/7.2 Optional Packages: ElectricFence-2.2.2-39.el7.i686 rhel-7-server-rpms ElectricFence-2.2.2-39.el7.x86_64 rhel-7-server-rpms ant-1.9.2-9.el7.noarch @anaconda/7.2 babel-0.9.6-8.el7.noarch rhel-7-server-rpms bzr-2.5.1-14.el7.x86_64 rhel-7-server-rpms ccache-3.2.7-3.el7.x86_64 epel-7-x86_64 chrpath-0.13-14.el7.x86_64 rhel-7-server-rpms clips clips-devel clips-doc clips-emacs clips-xclips clipsmm-devel clipsmm-doc cmake-2.8.11-5.el7.x86_64 @rhel-7-x86_64 cmucl colordiff-1.0.13-2.el7.noarch epel-7-x86_64 compat-gcc-44-4.4.7-8.el7.x86_64 rhel-7-server-rpms compat-gcc-44-c++-4.4.7-8.el7.x86_64 rhel-7-server-rpms compat-gcc-44-g77 cvs-1.11.23-35.el7.x86_64 rhel-7-server-rpms cvsps darcs-2.8.4-4.el7.x86_64 epel-7-x86_64 1:dejagnu-1.5.1-3.el7.noarch rhel-7-server-rpms email2trac expect-5.45-14.el7_1.x86_64 rhel-7-server-rpms ftnchek gcc-gnat-4.8.5-11.el7.x86_64 rhel-7-server-rpms gcc-objc-4.8.5-11.el7.x86_64 rhel-7-server-rpms gcc-objc++-4.8.5-11.el7.x86_64 rhel-7-server-rpms ghc-7.6.3-26.4.el7.x86_64 epel-7-x86_64 git-1.8.3.1-5.el7.x86_64 @anaconda/7.2 haskell-platform-2013.2.0.0-40.el7.x86_64 epel-7-x86_64 imake-1.0.5-10.el7.x86_64 rhel-7-server-rpms javapackages-tools-3.4.1-11.el7.noarch @anaconda/7.2 ksc-0.9.18-1.el7.noarch rhel-7-server-rpms libstdc++-docs-4.8.5-11.el7.x86_64 rhel-7-server-rpms lua-5.1.4-14.el7.x86_64 @anaconda/7.2 lua-5.1.4-15.el7.i686 rhel-7-server-rpms mercurial-2.6.2-6.el7_2.x86_64 rhel-7-server-rpms mock-1.3.4-1.el7.noarch epel-7-x86_64 mod_dav_svn-1.7.14-10.el7.x86_64 rhel-7-server-rpms nasm-2.10.07-7.el7.x86_64 rhel-7-server-rpms nqc nqc-doc ocaml perltidy-20121207-3.el7.noarch rhel-7-server-rpms python-docs-2.7.5-2.el7.noarch rhel-7-server-rpms qgit-2.6-4.el7.x86_64 epel-7-x86_64 rpmdevtools-8.3-5.el7.noarch rhel-7-server-rpms rpmlint-1.5-4.el7.noarch rhel-7-server-rpms sbcl-1.3.11-1.el7.x86_64 epel-7-x86_64 scorep-1.4.2-7.el7.x86_64 epel-7-x86_64 systemtap-sdt-devel-2.8-10.el7.x86_64 @rhel-7-x86_64 systemtap-sdt-devel-3.0-7.el7.i686 rhel-7-server-rpms systemtap-server-3.0-7.el7.x86_64 rhel-7-server-rpms trac-1.0.13-1.el7.noarch epel-7-x86_64 trac-git-plugin trac-mercurial-plugin-1.0.0.4-1.el7.noarch epel-7-x86_64 trac-webadmin translate-toolkit-1.11.0-2.el7.noarch epel-7-x86_64